# This is the gitleaks configuration file.
# Rules and allowlists are defined within this file.
# Rules instruct gitleaks on what should be considered a secret.
# Allowlists instruct gitleaks on what is allowed, i.e. not a secret.

# Rules modified: global, gitlab-pat, generic-api-key, github-pat

title = "gitleaks config"

# use the default Gitleaks configuration (https://github.com/zricethezav/gitleaks/blob/master/config/gitleaks.toml)
# and treat this file as config extension
[extend]
useDefault = true

[allowlist]

paths = [
    '''example-resources/clusterregistrationtokens.management.cattle.io.yaml''',
    '''example-resources/remote-cluster-manifests.yaml'''
]

